{
    "annotations": {
      "list": [
        {
          "builtIn": 1,
          "datasource": {
            "type": "grafana",
            "uid": "-- Grafana --"
          },
          "enable": true,
          "hide": true,
          "iconColor": "rgba(0, 211, 255, 1)",
          "name": "Annotations & Alerts",
          "type": "dashboard"
        }
      ]
    },
    "editable": true,
    "fiscalYearStartMonth": 0,
    "graphTooltip": 0,
    "id": 68,
    "links": [],
    "liveNow": false,
    "panels": [
      {
        "collapsed": false,
        "gridPos": {
          "h": 1,
          "w": 24,
          "x": 0,
          "y": 0
        },
        "id": 34,
        "panels": [],
        "title": "Karte",
        "type": "row"
      },
      {
        "datasource": {
          "type": "postgres",
          "uid": "9-QGxoH4k"
        },
        "fieldConfig": {
          "defaults": {
            "color": {
              "mode": "thresholds"
            },
            "custom": {
              "hideFrom": {
                "legend": false,
                "tooltip": false,
                "viz": false
              }
            },
            "links": [
              {
                "targetBlank": false,
                "title": "Show details",
                "url": "https://grafana.{{DOMAIN}}/d/ef70f01f-57b6-45de-889d-a7205ac860ca/bodenfeuchtesensorik?orgId=1&var-SensorNames=&var-SensorNames=${__data.fields.Name}&var-FireStations=Werl&var-FireStations=Arnsberg-Neheim&viewPanel=64"
              }
            ],
            "mappings": [],
            "thresholds": {
              "mode": "absolute",
              "steps": [
                {
                  "color": "red",
                  "value": null
                },
                {
                  "color": "#EAB839",
                  "value": 10
                },
                {
                  "color": "green",
                  "value": 30
                },
                {
                  "color": "blue",
                  "value": 40
                }
              ]
            },
            "unit": "none",
            "unitScale": true
          },
          "overrides": [
            {
              "matcher": {
                "id": "byName",
                "options": "Breitengrad"
              },
              "properties": [
                {
                  "id": "unit",
                  "value": "degree"
                }
              ]
            },
            {
              "matcher": {
                "id": "byName",
                "options": "Längengrad"
              },
              "properties": [
                {
                  "id": "unit",
                  "value": "degree"
                }
              ]
            },
            {
              "matcher": {
                "id": "byName",
                "options": "Bodentemperatur"
              },
              "properties": [
                {
                  "id": "unit",
                  "value": "celsius"
                }
              ]
            },
            {
              "matcher": {
                "id": "byName",
                "options": "Bodenfeuchtigkeit (in %)"
              },
              "properties": [
                {
                  "id": "color",
                  "value": {
                    "fixedColor": "red",
                    "mode": "thresholds"
                  }
                }
              ]
            }
          ]
        },
        "gridPos": {
          "h": 12,
          "w": 24,
          "x": 0,
          "y": 1
        },
        "id": 3,
        "options": {
          "basemap": {
            "config": {},
            "name": "Layer 0",
            "type": "default"
          },
          "controls": {
            "mouseWheelZoom": true,
            "showAttribution": true,
            "showDebug": false,
            "showMeasure": false,
            "showScale": true,
            "showZoom": true
          },
          "layers": [
            {
              "config": {
                "showLegend": true,
                "style": {
                  "color": {
                    "fixed": "super-light-green"
                  },
                  "opacity": 0.5,
                  "rotation": {
                    "fixed": 0,
                    "max": 360,
                    "min": -360,
                    "mode": "mod"
                  },
                  "size": {
                    "fixed": 1,
                    "max": 15,
                    "min": 2
                  },
                  "symbol": {
                    "fixed": "img/icons/marker/triangle.svg",
                    "mode": "fixed"
                  },
                  "text": {
                    "fixed": "",
                    "mode": "fixed"
                  },
                  "textConfig": {
                    "fontSize": 12,
                    "offsetX": 0,
                    "offsetY": 0,
                    "textAlign": "center",
                    "textBaseline": "middle"
                  }
                }
              },
              "filterData": {
                "id": "byRefId",
                "options": "B"
              },
              "location": {
                "latitude": "BaumY",
                "longitude": "BaumX",
                "mode": "coords"
              },
              "name": "Baum",
              "tooltip": false,
              "type": "markers"
            },
            {
              "config": {
                "showLegend": true,
                "style": {
                  "color": {
                    "field": "Bodenfeuchtigkeit (in %)",
                    "fixed": "dark-green"
                  },
                  "opacity": 1,
                  "rotation": {
                    "fixed": 0,
                    "max": 360,
                    "min": -360,
                    "mode": "mod"
                  },
                  "size": {
                    "fixed": 7,
                    "max": 20,
                    "min": 10
                  },
                  "symbol": {
                    "fixed": "img/icons/marker/circle.svg",
                    "mode": "fixed"
                  },
                  "text": {
                    "field": "Name",
                    "fixed": "Test",
                    "mode": "field"
                  },
                  "textConfig": {
                    "fontSize": 12,
                    "offsetX": 0,
                    "offsetY": -15,
                    "textAlign": "center",
                    "textBaseline": "middle"
                  }
                }
              },
              "filterData": {
                "id": "byRefId",
                "options": "A"
              },
              "location": {
                "latitude": "Breitengrad",
                "longitude": "Längengrad",
                "mode": "coords"
              },
              "name": "Bodenfeuchtigkeit",
              "tooltip": true,
              "type": "markers"
            }
          ],
          "tooltip": {
            "mode": "details"
          },
          "view": {
            "allLayers": true,
            "id": "fit",
            "lastOnly": false,
            "lat": 51.385198,
            "layer": "Bodenfeuchtigkeit",
            "lon": 7.780975,
            "zoom": 15
          }
        },
        "pluginVersion": "10.3.1",
        "targets": [
          {
            "datasource": {
              "type": "postgres",
              "uid": "9-QGxoH4k"
            },
            "editorMode": "code",
            "format": "table",
            "rawQuery": true,
            "rawSql": "SELECT\r\n  distinct on (entity_id) entity_id as \"Id\",\r\n  name as \"Name\",\r\n  dateobserved AS \"Zeitstempel\",\r\n  soiltemperature AS \"Bodentemperatur\",\r\n  soilmoistureec AS \"Bodenfeuchtigkeit (in dS/m)\",\r\n  soilmoisturevwc AS \"Bodenfeuchtigkeit (in %)\",\r\n  ST_X(location) AS \"Breitengrad\",\r\n  ST_Y(location) AS \"Längengrad\"\r\nFROM\r\n  mtdefault_dataspace.etgreenspacerecord\r\nWHERE\r\n  name in ($SensorNames)\r\n  and $__timeFilter(dateobserved)\r\norder by\r\n  entity_id,\r\n  dateobserved desc",
            "refId": "A",
            "sql": {
              "columns": [
                {
                  "parameters": [],
                  "type": "function"
                }
              ],
              "groupBy": [
                {
                  "property": {
                    "type": "string"
                  },
                  "type": "groupBy"
                }
              ],
              "limit": 50
            }
          },
          {
            "datasource": {
              "type": "postgres",
              "uid": "9-QGxoH4k"
            },
            "editorMode": "code",
            "format": "table",
            "hide": false,
            "rawQuery": true,
            "rawSql": "SELECT\r\n  object_id,\r\n  object_nr,\r\n  object_bez,\r\n  standort_nr,\r\n  standort_nr_1,\r\n  zusatz,\r\n  laufende_nr,\r\n  gefaellt,\r\n  ref_vitalitaetsstatus_akt,\r\n  vitalitaet_nr,\r\n  vitalitaet_bez,\r\n  ref_district,\r\n  ref_adresse,\r\n  ref_baumart,\r\n  baumart_botanisch,\r\n  baumart_deutsch,\r\n  baumart_kurz,\r\n  ST_X(point) as \"BaumX\",\r\n  ST_Y(point) as \"BaumY\",\r\n  pflanzjahr,\r\n  pflanzjahr_geschaetzt,\r\n  oertl_bezug,\r\n  entwicklungsphase,\r\n  faelldatum,\r\n  standalter\r\nFROM\r\n  mtdefault_dataspace.baumkataster;",
            "refId": "B",
            "sql": {
              "columns": [
                {
                  "parameters": [],
                  "type": "function"
                }
              ],
              "groupBy": [
                {
                  "property": {
                    "type": "string"
                  },
                  "type": "groupBy"
                }
              ],
              "limit": 50
            }
          }
        ],
        "title": "Map View",
        "transformations": [],
        "type": "geomap"
      },
      {
        "collapsed": false,
        "gridPos": {
          "h": 1,
          "w": 24,
          "x": 0,
          "y": 13
        },
        "id": 44,
        "panels": [],
        "title": "Sensoren (aktuell)",
        "type": "row"
      },
      {
        "datasource": {
          "type": "postgres",
          "uid": "9-QGxoH4k"
        },
        "description": "",
        "fieldConfig": {
          "defaults": {
            "color": {
              "mode": "thresholds"
            },
            "mappings": [],
            "max": 100,
            "min": 0,
            "thresholds": {
              "mode": "absolute",
              "steps": [
                {
                  "color": "red",
                  "value": null
                },
                {
                  "color": "orange",
                  "value": 10
                },
                {
                  "color": "green",
                  "value": 20
                },
                {
                  "color": "light-blue",
                  "value": 40
                }
              ]
            },
            "unit": "humidity",
            "unitScale": true
          },
          "overrides": []
        },
        "gridPos": {
          "h": 4,
          "w": 4,
          "x": 0,
          "y": 14
        },
        "id": 4,
        "maxPerRow": 6,
        "options": {
          "minVizHeight": 75,
          "minVizWidth": 75,
          "orientation": "auto",
          "reduceOptions": {
            "calcs": [
              "lastNotNull"
            ],
            "fields": "/^Bodenfeuchtigkeit$/",
            "values": false
          },
          "showThresholdLabels": false,
          "showThresholdMarkers": true,
          "sizing": "auto",
          "text": {}
        },
        "pluginVersion": "10.3.1",
        "repeat": "SensorNames",
        "repeatDirection": "h",
        "targets": [
          {
            "datasource": {
              "type": "postgres",
              "uid": "9-QGxoH4k"
            },
            "editorMode": "code",
            "format": "table",
            "rawQuery": true,
            "rawSql": "SELECT\r\n  dateobserved,\r\n  soilmoisturevwc AS \"Bodenfeuchtigkeit\",\r\n  name\r\nFROM\r\n  mtdefault_dataspace.etgreenspacerecord\r\nWHERE\r\n  name IN ($SensorNames)\r\n  and $__timeFilter(dateobserved)\r\nORDER BY\r\n  dateobserved desc\r\nLIMIT 1;",
            "refId": "A",
            "sql": {
              "columns": [
                {
                  "parameters": [],
                  "type": "function"
                }
              ],
              "groupBy": [
                {
                  "property": {
                    "type": "string"
                  },
                  "type": "groupBy"
                }
              ],
              "limit": 50
            }
          }
        ],
        "title": "${SensorNames}",
        "transformations": [],
        "type": "gauge"
      },
      {
        "collapsed": false,
        "gridPos": {
          "h": 1,
          "w": 24,
          "x": 0,
          "y": 22
        },
        "id": 83,
        "panels": [],
        "title": "Sensoren (historisch)",
        "type": "row"
      },
      {
        "datasource": {
          "type": "postgres",
          "uid": "9-QGxoH4k"
        },
        "description": "",
        "fieldConfig": {
          "defaults": {
            "color": {
              "fixedColor": "blue",
              "mode": "fixed",
              "seriesBy": "last"
            },
            "custom": {
              "axisBorderShow": false,
              "axisCenteredZero": false,
              "axisColorMode": "text",
              "axisLabel": "",
              "axisPlacement": "auto",
              "barAlignment": 0,
              "drawStyle": "line",
              "fillOpacity": 0,
              "gradientMode": "none",
              "hideFrom": {
                "legend": false,
                "tooltip": false,
                "viz": false
              },
              "insertNulls": false,
              "lineInterpolation": "linear",
              "lineWidth": 1,
              "pointSize": 5,
              "scaleDistribution": {
                "type": "linear"
              },
              "showPoints": "auto",
              "spanNulls": 3600000,
              "stacking": {
                "group": "A",
                "mode": "none"
              },
              "thresholdsStyle": {
                "mode": "area"
              }
            },
            "mappings": [],
            "max": 100,
            "min": 0,
            "thresholds": {
              "mode": "absolute",
              "steps": [
                {
                  "color": "red",
                  "value": null
                },
                {
                  "color": "#EAB839",
                  "value": 10
                },
                {
                  "color": "green",
                  "value": 30
                },
                {
                  "color": "blue",
                  "value": 40
                }
              ]
            },
            "unit": "humidity",
            "unitScale": true
          },
          "overrides": []
        },
        "gridPos": {
          "h": 8,
          "w": 4,
          "x": 0,
          "y": 23
        },
        "id": 64,
        "maxPerRow": 6,
        "options": {
          "legend": {
            "calcs": [],
            "displayMode": "list",
            "placement": "bottom",
            "showLegend": false
          },
          "tooltip": {
            "mode": "single",
            "sort": "none"
          }
        },
        "repeat": "SensorNames",
        "repeatDirection": "h",
        "targets": [
          {
            "datasource": {
              "type": "postgres",
              "uid": "9-QGxoH4k"
            },
            "editorMode": "code",
            "format": "table",
            "hide": false,
            "rawQuery": true,
            "rawSql": "SELECT \r\n  entity_id,\r\n  dateobserved AS \"time\",\r\n  soilmoisturevwc AS \"Bodenfeuchtigkeit\",\r\n  name\r\nFROM mtdefault_dataspace.etgreenspacerecord\r\nWHERE name IN ($SensorNames) AND $__timeFilter(dateobserved)\r\nGROUP BY dateobserved, entity_id, soilmoisturevwc, name\r\nORDER BY dateobserved ASC",
            "refId": "A",
            "sql": {
              "columns": [
                {
                  "parameters": [],
                  "type": "function"
                }
              ],
              "groupBy": [
                {
                  "property": {
                    "type": "string"
                  },
                  "type": "groupBy"
                }
              ],
              "limit": 50
            }
          }
        ],
        "title": "$SensorNames",
        "type": "timeseries"
      },
      {
        "collapsed": false,
        "gridPos": {
          "h": 1,
          "w": 24,
          "x": 0,
          "y": 39
        },
        "id": 54,
        "panels": [],
        "title": "Waldbrandgefahrenindex",
        "type": "row"
      },
      {
        "datasource": {
          "type": "postgres",
          "uid": "9-QGxoH4k"
        },
        "description": "",
        "fieldConfig": {
          "defaults": {
            "color": {
              "mode": "thresholds"
            },
            "mappings": [],
            "thresholds": {
              "mode": "absolute",
              "steps": [
                {
                  "color": "#ffffcd",
                  "value": null
                },
                {
                  "color": "#ffd879",
                  "value": 2
                },
                {
                  "color": "#ff8c39",
                  "value": 3
                },
                {
                  "color": "#e9161d",
                  "value": 4
                },
                {
                  "color": "#7f0126",
                  "value": 5
                }
              ]
            },
            "unitScale": true
          },
          "overrides": []
        },
        "gridPos": {
          "h": 8,
          "w": 12,
          "x": 0,
          "y": 40
        },
        "id": 102,
        "links": [
          {
            "targetBlank": true,
            "title": "Quelle",
            "url": "https://www.dwd.de/DWD/warnungen/agrar/wbx/wbx_tab_alle_NW.html#:~:text=${FireStations:percentencode}"
          }
        ],
        "maxPerRow": 8,
        "options": {
          "colorMode": "background_solid",
          "graphMode": "area",
          "justifyMode": "center",
          "orientation": "auto",
          "reduceOptions": {
            "calcs": [
              "lastNotNull"
            ],
            "fields": "/^waldbrandgefahrenindex$/",
            "values": false
          },
          "showPercentChange": false,
          "textMode": "value",
          "wideLayout": true
        },
        "pluginVersion": "10.3.1",
        "repeat": "FireStations",
        "repeatDirection": "h",
        "targets": [
          {
            "datasource": {
              "type": "postgres",
              "uid": "9-QGxoH4k"
            },
            "editorMode": "code",
            "format": "table",
            "rawQuery": true,
            "rawSql": "SELECT\r\n  dateobserved,\r\n  fireriskindex as Waldbrandgefahrenindex,\r\n  name\r\nFROM\r\n  mtdefault_dataspace.etfireforeststatus\r\nWHERE\r\n  name IN ($FireStations) \r\nORDER by\r\n  dateobserved desc\r\nLIMIT\r\n  1;",
            "refId": "A",
            "sql": {
              "columns": [
                {
                  "parameters": [],
                  "type": "function"
                }
              ],
              "groupBy": [
                {
                  "property": {
                    "type": "string"
                  },
                  "type": "groupBy"
                }
              ],
              "limit": 50
            }
          }
        ],
        "title": "$FireStations",
        "type": "stat"
      }
    ],
    "refresh": "1h",
    "schemaVersion": 39,
    "tags": [],
    "templating": {
      "list": [
        {
          "allValue": "Alle",
          "current": {
            "selected": true,
            "text": [
              "Sensor 1",
              "Sensor 2",
              "Sensor 3",
              "Sensor 4",
              "Sensor 5",
              "Sensor 6",
              "Sensor 7",
              "Sensor 8",
              "Sensor 9",
              "Sensor 10"
            ],
            "value": [
              "Sensor 1",
              "Sensor 2",
              "Sensor 3",
              "Sensor 4",
              "Sensor 5",
              "Sensor 6",
              "Sensor 7",
              "Sensor 8",
              "Sensor 9",
              "Sensor 10"
            ]
          },
          "datasource": {
            "type": "postgres",
            "uid": "9-QGxoH4k"
          },
          "definition": "SELECT distinct name FROM mtdefault_dataspace.etgreenspacerecord WHERE name is NOT NULL",
          "hide": 0,
          "includeAll": false,
          "label": "Sensor",
          "multi": true,
          "name": "SensorNames",
          "options": [],
          "query": "SELECT distinct name FROM mtdefault_dataspace.etgreenspacerecord WHERE name is NOT NULL",
          "refresh": 2,
          "regex": "",
          "skipUrlSync": false,
          "sort": 0,
          "type": "query"
        },
        {
          "allValue": "All",
          "current": {
            "selected": true,
            "text": [
              "Sensor 1",
              "Sensor 2"
            ],
            "value": [
              "Sensor 1",
              "Sensor 2"
            ]
          },
          "datasource": {
            "type": "postgres",
            "uid": "9-QGxoH4k"
          },
          "definition": "SELECT DISTINCT(name)\nFROM mtdefault_dataspace.etfireforeststatus;",
          "hide": 2,
          "includeAll": false,
          "multi": true,
          "name": "FireStations",
          "options": [],
          "query": "SELECT DISTINCT(name)\nFROM mtdefault_dataspace.etfireforeststatus;",
          "refresh": 1,
          "regex": "",
          "skipUrlSync": false,
          "sort": 0,
          "type": "query"
        }
      ]
    },
    "time": {
      "from": "now-6h",
      "to": "now"
    },
    "timepicker": {},
    "timezone": "",
    "title": "Bodenfeuchtesensorik",
    "uid": "ef70f01f-57b6-45de-889d-a7205ac860ca",
    "version": 44,
    "weekStart": ""
  }